## org.eclipse.emf.converter.ui.contribution.base
Class ModelConverterPage.PageDiagnosticHandler

    java.lang.Object
      org.eclipse.emf.converter.util.ConverterUIUtil.DiagnosticHandler
          org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage.PageDiagnosticHandler

Enclosing class:
  ModelConverterPage

    protected static class ModelConverterPage.PageDiagnosticHandler

extends ConverterUIUtil.DiagnosticHandler

Field Summary
`protected ModelConverterPage` `modelConverterPage`

Constructor Summary
`ModelConverterPage.PageDiagnosticHandler(ModelConverterPage modelConverterPage)`

Method Summary
`protected boolean` `doMessages()`
`protected void` `setErrorMessage(java.lang.String message)`
`protected void` `setMessage(java.lang.String message)`
`protected void` `setMessage(java.lang.String message, int messageType)`

Methods inherited from class org.eclipse.emf.converter.util.ConverterUIUtil.DiagnosticHandler
`decodeAction, doDialog, getShell, handleDiagnostic, handleDiagnostic, handleNotOKDiagnostic, handleOKDiagnostic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelConverterPage

    protected ModelConverterPage modelConverterPage

Constructor Detail

### ModelConverterPage.PageDiagnosticHandler

    public ModelConverterPage.PageDiagnosticHandler(ModelConverterPage modelConverterPage)

Method Detail

### doMessages

    protected boolean doMessages()

  Overrides:
    `doMessages` in class `ConverterUIUtil.DiagnosticHandler`

### setMessage

    protected void setMessage(java.lang.String message)

  Overrides:
    `setMessage` in class `ConverterUIUtil.DiagnosticHandler`

### setMessage

    protected void setMessage(java.lang.String message,
                              int messageType)

  Overrides:
    `setMessage` in class `ConverterUIUtil.DiagnosticHandler`

### setErrorMessage

    protected void setErrorMessage(java.lang.String message)

  Overrides:
    `setErrorMessage` in class `ConverterUIUtil.DiagnosticHandler`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.